a = [40 40e3 1.3 96000 298]';
x = 240*[-4095.5 : 1 : 4095.5]';
nx = length(x); nx2 = floor(nx/2);
r = abs(x);
f = cor( 0);
[p,dp] = holland_p(r,a); dp = dp(:,6);
v = holland_v(r,a,f);
g = v.^2 ./ r + f*v;
wn = [0 : (nx2-1)]';

Fp = fft(p); Pp = abs(Fp(1:nx2));
Fdp = fft(dp); Pdp = abs(Fdp(1:nx2));
Fv = fft(v); Pv = abs(Fv(1:nx2));
Fg = fft(g); Pg = abs(Fg(1:nx2));

fwn =  33;
filt = zeros(size(x));
filt(1:fwn+1) = 1; filt((nx-fwn+1):nx) = 1;
for ii = 1 : 10, filt = filt121(filt); end;
fFp = filt.*Fp; fFv = filt.*Fv; fFg = filt.*Fg;
% fFp = Fp; fFp(2:nx) = Fp(2:nx)./(abs(Fp(2:nx))+1e-30).*(filt121(abs(Fp(2:nx)))+1e-30);
% fFv = Fv; fFv(2:nx) = filt121(Fv(2:nx))';
% fFg = Fg; fFg(2:nx) = filt121(Fg(2:nx))';
fp = real(ifft(fFp)); fv = real(ifft(fFv)); fg = real(ifft(fFg));

fig(1); clf;
subplot(3,1,1); cla;
plot(wn,[Pp Pdp Pv Pg]); xylog; yrange(1e12,1,1);
vline( range(x)/a(2) ); vline(fwn,'r');
xlabel('Wave number'); ylabel('Power');
subplot(3,2,3); plot(x(nx2:nx),[p(nx2:nx) fp(nx2:nx)]); xlim(0,max(x));
subplot(3,2,4); plot(x(nx2:nx),[p(nx2:nx)-fp(nx2:nx)]); xlim(0,max(x));
subplot(3,2,5); plot(x(nx2:nx),[v(nx2:nx) fv(nx2:nx)]); xlim(0,max(x));
subplot(3,2,6); plot(x(nx2:nx),[v(nx2:nx)-fv(nx2:nx)]); xlim(0,max(x));


