r = [0:100] + 1e-38;
rm = 50;
v = (r/rm)./(1 + (r/rm).^2);
gwe = v.^2./r;
p = cumint(gwe,1);
dp = dx(p);
d2p = dx2(p);
d3p = dx(dx2(p));
dv = dx(v);
d2v = dx2(v);

b = 2;
ph = exp( -(rm./r).^b );
dph = dx(ph);
d2ph = dx2(ph);
d3ph = dx(dx2(ph));
vh = sqrt(r.*dx(p));
dvh = dx(vh);
d2vh = dx2(vh);

fig(2); clf;
plot(r,vh./r,'b-'); hold on
plot(r,dvh,'r');
plot(r,d2ph,'g');



