function error = fit_holland_pz(beta)
% Use in conjunction with plotFRD_sfc.m to fit a bogus to Hurricane Mitch

global pobs xobs yobs

xdis = beta(5); ydis = beta(6);
rfix = hypot(xobs - xdis, yobs - ydis);
pfit = holland_p(rfix, [ beta(1:4); 298 ]);
use = find( ~isnan(pobs) & ~isnan(pfit) );

error = mean( (pfit(use) - pobs(use)).^2 );
