function error = fit_holland_vz2(beta)
% Use to fit a bogus to Hurricane wind data.
% Uses the Holland bogus with different b inside and 
% outside of the rmw.

global vobs pobs xobs yobs f0

xdis = beta(6); ydis = beta(7);
rfix = hypot(xobs - xdis, yobs - ydis);

[crap,vfit]  = holland_pv3(beta(1:5), rfix, f0);

%use = find( ~isnan(vobs) );
%error = sum( (vfit(use) - vobs(use)).^2 ) + (min(pobs) - beta(3)).^2;

error = mean( (vfit - vobs).^2 ) + (min(pobs) - beta(5)).^2;
