function error = fit_dropsonde_vz_hew(beta)
% Use in conjunction with plotFRD_sfc.m to fit a bogus to Hurricane Mitch

global vobs xobs yobs pobs

xdis = beta(5); ydis = beta(6);
rfix = hypot(xobs - xdis, yobs - ydis);
[pfit,vfit] = willoughby_pv(beta(1:4), rfix);

%use = find( ~isnan(vobs) & ~isnan(vfit) );
%error = sum( (vfit(use) - vobs(use)).^2 ) + (min(pobs) - beta(4)).^2;

error = mean( (vfit - vobs).^2 ) + (min(pobs) - beta(4)).^2;

