function error = fit_dropsonde_vz(beta)
% Use in conjunction with plotFRD_sfc.m to fit a bogus to Hurricane Mitch

global vobs pobs xobs yobs f0

xdis = beta(5); ydis = beta(6);
rfix = hypot(xobs - xdis, yobs - ydis);
vfit = holland_v(beta(1:4), rfix, f0);

%use = find( ~isnan(vobs) );
%error = sum( (vfit(use) - vobs(use)).^2 ) + (min(pobs) - beta(3)).^2;

error = mean( (vfit - vobs).^2 ) + (min(pobs) - beta(4)).^2;
