function [err, poly, polyscale] = fit_poly_p(beta)
% Hardtuned stuff for Georges core only!!

global pobs xobs yobs

degree = 2;  % of fitted polynomial

delx = beta(1); dely = beta(2);
robs = hypot( xobs - delx, yobs - dely );

[poly,s,polyscale] = polyfit(robs,pobs,degree); 
err = mean( (polyval(poly,robs,[],polyscale) - pobs).^2 );


