function [time,lat,lon,pc,maxw] = read_austbesttrack(fname)
% function [time,lat,lon,pc,maxw] = read_austbesttrack(fname)

disp('read_austbesttrack>> OBSOLETE???')

f = fopen(fname,'rt');
if (f < 0)
   disp(['Can''t open ' fname]);
   time = nan; lat = nan; lon = nan; pc = nan; maxw = nan;
   return
end

n = 0;
while (1)
   line = fgetl(f);
   if (~isstr(line)) break; end;
   n = n + 1;
   year  = sscanf(line(41:44),'%d');
   month = sscanf(line(45:46),'%d');
   day   = sscanf(line(47:48),'%d');
   hour  = sscanf(line(49:50),'%d');
   minut = sscanf(line(51:52),'%d');
   time(n) = datenum(year,month,day,hour,minut,0);
   lat(n)  = -sscanf(line(57:59),'%d')*0.1;
   lon(n)  =  sscanf(line(60:63),'%d')*0.1;
   pc(n)   =  sscanf(line(65:68),'%d');
   maxw(n) =  sscanf(line(69:71),'%d');
end   

fclose(f);

