% 
clear
a = [300 6e3 30e3 200e3 12 3]';
dr = 2e2;
r = [0:dr:100e3]'/25e3;
[p,dp] = ratfun2(r,a);
fig(1); clf;
subplot(2,4,1); cla; plot(r,p);
subplot(2,4,2); cla; plot(r,dp(:,1));
subplot(2,4,3); cla; plot(r,dp(:,2));
subplot(2,4,4); cla; plot(r,dp(:,3));
subplot(2,4,5); cla; plot(r,dp(:,4));
subplot(2,4,6); cla; plot(r,dp(:,5));
subplot(2,4,7); cla; plot(r,dp(:,6));
subplot(2,4,8); cla; plot(r,dp(:,7));

% Check derivatives
clear;
a = [300 6e3 30e3 200e3 12 3]';
r = [ 5.1 ];
for ii = 1 : 5
   del = 1e-06; 
   a1 = a; a1(ii) = a1(ii)*(1 + del);
   [p1,dp1] = ratfun2(r,a1);
   a0 = a; a0(ii) = a0(ii)*(1 - del);
   [p0,dp0] = ratfun2(r,a0);
   [p2,dp2] = ratfun2(r,a);
   [ (p1 - p0)/(a1(ii) - a0(ii))  dp2(:,ii) ]
end

[p0,dp0] = ratfun2(r*(1-del),a);
[p1,dp1] = ratfun2(r*(1+del),a);
[p2,dp2] = ratfun2(r,a);
[ (p1 - p0)/(2*r*del)  dp2(:,7) ]


